<?php

function check_passwd()
{
  global $db;

  if (empty($_POST['login']) || empty($_POST['passwd']))
    return false;

  $sql = sprintf("SELECT * FROM sys_user WHERE login = %s AND passwd = %s",
		 $db->quote($_POST['login']), $db->quote(passwd($_POST['login'], $_POST['passwd'])));

  $sth = $db->query($sql);

  if ($sth === false) return false;

  if ((!empty($_SERVER['HTTP_REFERER']) && substr($_SERVER['HTTP_REFERER'],-12) != '/?login=true')
      || substr($_SERVER['SCRIPT_FILENAME'],-10) != '/index.php') {
    error_log('Wrong referer or wrong request uri');
    return false;
  }

  if ($row = $sth->fetch()) {
    $_SESSION['sys'] = array('uid' => $row['id'],
			     'login' => $row['login'],
			     'name' => $row['name'],
			     'email' => $row['email'],
			     'group' => $row['gid'],
			     'theme' => $row['theme'],
			     'basedir' => substr($_SERVER['SCRIPT_FILENAME'],0,-9));
    return true;
  }

  error_log('Failed login attempt for user ' . $_POST['login']);
  return false;
}

function mask_login()
{
  $LOGIN_IMG = 'images/login.jpg';
  if (defined('LOGIN_IMG')) $LOGIN_IMG = LOGIN_IMG;

  $HEIGHT = 800;
  if (file_exists($LOGIN_IMG)) {
    $info = getimagesize($LOGIN_IMG);
    $HEIGHT = $info[1];
  }

$html = <<<EOC
<style type="text/css">
div.login {
    background-image: url('$LOGIN_IMG');
    background-repeat: no-repeat;
    background-position: center center;
    margin: -15px;
}

table.login {
    border: 1px solid #7b7b7b;
    background: #f7f7f7;
    position: relative;
    top: 290px;
}
</style>

<div class="login" id="background">
<div align="center">
<form action="index.php" method="POST">
<table id="logintab" class="login" cellpadding="5">
<tr><th align="left" colspan="2" style="background: #BBD9EE;">Anmeldung</th></tr>
<tr><th align="right">Login</th><td><input type="text" name="login" id="login" size="15"></td></tr>
<tr><th align="right">Passwort</th><td><input type="password" name="passwd" size="15"></td></tr>
<tr><td colspan="2" align="center"><input type="submit" value="Anmelden"></td></tr>
</table>
</form>
</div>
</div>

<script type="text/javascript">
var img_height = $HEIGHT;
var inner_height = window.innerHeight - 50;
var height = img_height <= inner_height ? img_height : inner_height;

var div = document.getElementById("background");
div.style.height = height + 'px';

var login = document.getElementById("logintab");
login.style.position = 'absolute';
login.style.top = ((window.innerHeight / 2) - (130 / 2)) + 'px';
login.style.left = ((window.innerWidth / 2) - (120 / 2)) + 'px';

var inp = document.getElementById("login");
inp.focus();
</script>
EOC;

  return $html;
}

?>
