<?php

$href = "new Rico.TableColumn.link('ajax/ajax.php?id={0}&source=documents__files&func=file&name=download','_new')";

$sql_download = "
CASE
WHEN substring(lower(path),length(path)-3+1) = 'png' THEN '<img src=\"images/icons/png.png\" title=\"Download PNG\">'
WHEN substring(lower(path),length(path)-3+1) = 'pdf' THEN '<img src=\"images/icons/pdf.gif\" title=\"Download PDF\">'
WHEN substring(lower(path),length(path)-3+1) = 'zip' THEN '<img src=\"images/icons/zip.gif\" title=\"Download Zip\">'
WHEN substring(lower(path),length(path)-3+1) = 'odt' THEN '<img src=\"images/icons/odt.png\" title=\"Download Odt\">'
WHEN substring(lower(path),length(path)-3+1) = 'doc' THEN '<img src=\"images/icons/doc.gif\" title=\"Download Doc\">'
WHEN substring(lower(path),length(path)-3+1) = 'xls' THEN '<img src=\"images/icons/xls.png\" title=\"Download spreadsheet\">'
WHEN substring(lower(path),length(path)-4+1) = 'xlsx' THEN '<img src=\"images/icons/xls.png\" title=\"Download spreadsheet\">'
WHEN substring(lower(path),length(path)-3+1) = 'ods' THEN '<img src=\"images/icons/table.png\" title=\"Download spreadsheet\">'
WHEN substring(lower(path),length(path)-6+1) = 'tar.gz' THEN '<img src=\"images/icons/zip.gif\" title=\"Download Tar\">'
WHEN substring(lower(path),length(path)-7+1) = 'tar.bz2' THEN '<img src=\"images/icons/zip.gif\" title=\"Download Tar\">'
WHEN substring(lower(path),length(path)-3+1) = 'gif' THEN '<img src=\"images/icons/image.gif\" title=\"Download image\">'
WHEN substring(lower(path),length(path)-3+1) = 'jpg' THEN '<img src=\"images/icons/image.gif\" title=\"Download image\">'
ELSE '<img src=\"images/icons/download.gif\" title=\"download\">'
END
";

$mask = array(
	      'table' => 'doc_files',
	      'title' => 'Dokumente',
	      'list' => array(
			      'id' => array(
					    'name' => 'ID',
					    'visible' => false,
					    ),
			      'owner' => array(
					    'name' => 'Besitzer',
					    'width' => 90,
					    'specs' => "ClassName: 'aligncenter', filterUI: 's'",
					    'control' => "new Rico.TableColumn.lookup(".grid_lookup_sql('doc_owner','id','name').", 0, '')",
					    ),
			      'type' => array(
					    'name' => 'Typ',
					    'width' => 90,
					    'specs' => "ClassName: 'aligncenter', filterUI: 's'",
					    'control' => "new Rico.TableColumn.lookup(".grid_lookup_sql('doc_types','id','name').", 0, '')",
					    ),
			      'date' => array(
					    'name' => 'Datum',
					    'width' => 85,
					    ),
			      'title' => array(
					    'name' => 'Titel',
					    'width' => 345,
					    'specs' => "filterUI: 't'",
					    ),
			      'download' => array(
					    'name' => 'DL',
					    'width' => 25,
					    'specs' => "ClassName: 'aligncenter', canSort: false",
					    'control' => $href,
					    'sql' => $sql_download,
					    ),
			      ),
	      'edit' => array(
			      'owner' => array(
					    'name' => 'Besitzer',
					    'type' => 'select',
					    'options' => 'SELECT id,name AS text FROM doc_owner ORDER BY name',
					    'option_empty' => '-- select --',
					    'required' => true,
					    ),
			      'type' => array(
					    'name' => 'Typ',
					    'type' => 'select',
					    'options' => 'SELECT id,name AS text FROM doc_types ORDER BY name',
					    'option_empty' => '-- select --',
					    'required' => true,
					    ),
			      'title' => array(
					    'name' => 'Titel',
					    'type' => 'text',
					    'size' => 21,
					    'required' => true,
					    ),
			      'date' => array(
					    'name' => 'Datum',
					    'type' => 'date',
					    'size' => 8,
					    'null' => true,
					    'required' => true,
					    ),
			      'path' => array(
					    'name' => 'Dokument',
					    'type' => 'file',
					    'path' => 'documents',
					    'sql' => false,
					    ),
			      'keywords' => array(
					    'name' => 'Schlagworte',
					    'type' => 'textarea',
					    ),
			      ),
	      'files' => array(
			       'download' => process_download,
			       ),
	      );

function process_download()
{
  global $mask;

  download_file($mask['table'],'path',$mask['edit']['path']['path'],$_GET['id']);
}

?>
